Bug 1170263 - When SD size reaches less than 1GB, it's reported as N/A.
Summary: When SD size reaches less than 1GB, it's reported as N/A.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.3
Hardware: All
OS: All
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Vered Volansky
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 16:08 UTC by Alexandros Gkesos
Modified: 2019-08-15 04:07 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, if a storage domain has less than 1 GB disk space, the available free space was reported as [N/A] in the Administration Portal. This is now altered to display <1.
Clone Of:
: 1178480 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:52:22 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 37428 master MERGED core: Report storage size closer to reality Never

Comment 7 Vered Volansky 2015-01-04 05:54:18 UTC
Can you please add a screenshot of the "Storage Domain Size: N/A" occurrence?
Thanks.

Comment 10 Allon Mureinik 2015-04-13 12:07:19 UTC
Vered, can you add the doctext for this bz please?

Comment 11 Vered Volansky 2015-04-30 08:03:09 UTC
Verification instructions:
1. Create a storage domain.
2. Add a disk/disks on it until the free space on the domain is lower than 1GB.
Verify that the free space column on the storage main tab displays <1 (and not [N/A], as it did before).

Verify glance and cinder are not affected by this change (Should still show [N/A].

Verify upgrade of this situation according to the previous two point.

Feel free to come up with more related tests. The change is basically display <1 rather than [N/A] when necessary.

Other issues first described in this bz have their own bzs and should be verified there.

Comment 12 Vered Volansky 2015-05-04 05:58:35 UTC
Changed bz name. Thresholds are handled exclusively in bz1185839, no dependency between these two bugs, removing blocker (bz679070).

Comment 13 lkuchlan 2015-05-05 09:05:23 UTC
Tested using ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764

Verification instructions:
1. Create a storage domain.
2. Add a disk/disks on it until the free space on the domain is lower than 1GB.

Comment 16 errata-xmlrpc 2016-03-09 20:52:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.